package com.zcloud.mapper.datasource.commitment;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：公告通知
 * 作者：shaojie
 * 时间：2021-03-26
 * 官网：www.qdkjchina.com
 */
public interface CorpPromisePeopleMapper {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	void editdelete(PageData pd);

	PageData findById(PageData pd);

	void edit(PageData pd);

	List<PageData> findByPromiseId(PageData pd);

	void deletePromiseId(PageData pd);

	List<PageData> findByCoverPromiseId(PageData pd);

	List<PageData> findByUserId(PageData pd);

	void editSign(PageData pd);

	List<PageData> promiselistPage(Page page);

    List<PageData> corppromiselistPage(Page page);

	List<PageData> corppromiseDetaillistPage(Page page);

	List<PageData> peopleDetaillistPage(Page page);

	List<PageData> receivePromiselistPage(Page page);

	void editIsRead(PageData pd);
}

