package com.zcloud.mapper.datasource.corp;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：企业管理
 * 作者：luoxiaobao
 * 时间：2020-12-24
 * 官网：www.zcloudchina.com
 */
public interface CorpInfoMapper {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);
	void editIsReceive(PageData pd);
	void editSMSCOUNT(PageData pd);
	void editISRemind(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);


	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findNumById(PageData pd);
	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);

	PageData findByName(PageData pd);

	List<PageData>listByCorpType (PageData pd);

	PageData findByCode(PageData pd);

	PageData getInfo(PageData corpCondition);

    PageData eightWorkBI(PageData pd);

	void updateEnterpriseId(PageData corpPage);
}

