package com.zcloud.mapper.datasource.hiddenDangerCheckStandard;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：清单-检查项关联
 * 作者：luoxiaobao
 * 时间：2020-12-31
 * 官网：www.zcloudchina.com
 */
public interface CustomDisableTimeMapper {
	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void editEndTime(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**查找完整数据
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listByFull(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**通过清单获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findByList(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);
}

