package com.zcloud.service.hiddenDangerCheckStandard.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.hiddenDangerCheckStandard.CommonMapper;
import com.zcloud.service.hiddenDangerCheckStandard.CommonService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：清单管理-检查标准
 * 作者：luoxiaobao
 * 时间：2020-12-30
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class CommonServiceImpl implements CommonService {

	@Autowired
	private CommonMapper commonMapper;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return commonMapper.datalistPage(page);
	}

	/**
	 * 修改
	 *
	 * @param pd
	 * @throws Exception
	 */
	@Override
	public void edit(PageData pd) throws Exception {
		commonMapper.edit(pd);
	}
}


