package com.zcloud.service.remote;

import com.zcloud.config.FeignConfiguration;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

@FeignClient(value = "remote-corp-service",
        configuration = FeignConfiguration.class,
        fallbackFactory = RemoteCorpFallbackFactory.class,
        url = "http://192.168.0.79:8088/integrated_supervise/"
)
public interface RemoteCorpService {
    @PostMapping("sys/user/list")
    Object getCorpInfo(String ParamsJson);
}
