package com.zcloud.util.absreport;

import com.zcloud.entity.PageData;
import com.zcloud.service.remote.RemoteCorpService;
import com.zcloud.util.ReturnMap;
import org.springframework.beans.factory.InitializingBean;

import javax.annotation.Resource;
import java.io.File;
import java.util.List;

/**
 * 说明：上报信息
 * 作者：wangxuan
 * 官网：www.zcloudchina.com
 */

public abstract class AbsHandlerReportExport implements InitializingBean {

    @Resource
    public RemoteCorpService remoteCorpService;


    /**
     * @Description: 返回pdf路径
     * @Author: dearLin
     * @Date: 2023/3/20/020 10:36
     * @Param: [java.lang.String, com.zcloud.entity.PageData] [type, pageData]
     * @Return: java.lang.String
     */
    public ReturnMap batchReport(PageData pageData, String now) throws Exception {
        throw new UnsupportedOperationException();
    }

}
