//package com.zcloud.controller.hidden;
//
//import com.alibaba.fastjson.JSON;
//import com.alibaba.fastjson.JSONObject;
//import com.zcloud.controller.base.BaseController;
//import com.zcloud.entity.Page;
//import com.zcloud.entity.PageData;
//import com.zcloud.logs.LogAnno;
//import com.zcloud.service.check.CheckRecordService;
//import com.zcloud.service.check.ListCheckItemService;
//import com.zcloud.service.check.ListManagerService;
//import com.zcloud.service.corp.CorpInfoService;
//import com.zcloud.service.hidden.HiddenCheckService;
//import com.zcloud.service.hidden.HiddenSchemeService;
//import com.zcloud.service.hidden.HiddenService;
//import com.zcloud.service.sms.MSMLoginService;
//import com.zcloud.service.sms.SMSManagementService;
//import com.zcloud.service.system.DepartmentService;
//import com.zcloud.service.system.ImgFilesService;
//import com.zcloud.service.system.UsersService;
//import com.zcloud.util.*;
//import org.apache.commons.io.FileUtils;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Controller;
//import org.springframework.transaction.annotation.Transactional;
//import org.springframework.web.bind.annotation.RequestMapping;
//import org.springframework.web.bind.annotation.RequestParam;
//import org.springframework.web.bind.annotation.ResponseBody;
//import org.springframework.web.multipart.MultipartFile;
//
//import java.io.File;
//import java.text.SimpleDateFormat;
//import java.util.*;
//
///**
// * 说明：隐患 作者：luoxiaobao 时间：2021-01-04 官网：www.zcloudchina.com
// */
//@Controller
//@RequestMapping("/app/hidden")
//public class AppHiddenController extends BaseController {
//
//	@Autowired
//	private HiddenService hiddenService;
//	@Autowired
//	private ImgFilesService imgFilesService;
//	@Autowired
//	private UsersService usersService;
//	@Autowired
//	private ListCheckItemService listcheckitemService;
//	@Autowired
//	private DepartmentService departmentService;
//	@Autowired
//	private HiddenSchemeService hiddenSchemeService;
//	@Autowired
//	private HiddenCheckService hiddenCheckService;
//	@Autowired
//	private CorpInfoService corpinfoService;
//	@Autowired
//	private ListManagerService listmanagerService;
//	@Autowired
//	private CheckRecordService checkrecordService;
//
//	@Autowired
//	private SMSManagementService smsmanagementService;
//	@Autowired
//	private MSMLoginService msmloginService;
//	@Autowired
//	private SendMessageUtil sendMessageUtil;
//	@Autowired
//	private Smb smb;
//	/**
//	 * app首页获取数量
//	 *
//	 * @param page
//	 * @throws Exception
//	 */
//	@RequestMapping(value = "/getCountByUserId")
//	@ResponseBody
//	@LogAnno(menuType= "手机",menuServer= "隐患",instructionsOperate = "隐患",instructionsType = "首页获取数据")
//	public Object getCountByUserId(Page page) throws Exception {
//		Map<String, Object> map = new HashMap<String, Object>();
//		String errInfo = "success";
//		PageData pd = new PageData();
//		pd = this.getPageData();
//		Map<String, Object> hidCount = new HashMap<>();
//		pd.put("userId", pd.getString("userId")); // 发现人
//		Integer dzg = 0;// 待整改 1
//		Integer ycq = 0;// 已超期 5
//		Integer dfc = 0;// 待复查 2
//		Integer yys = 0;// 已验收 4
//		Integer dys = 0;// 待验收 3
//		Integer dpc = 0;// 待排查
//		// STATE -- 隐患状态 0-未提交 1- 未整改 2-已整改 3-已复查 4-已验收 5-已过期
//		if (Tools.notEmpty(pd.get("userId").toString())) {
//			pd.put("APPSELFUSERID", pd.get("userId"));
//			pd.put("SELFUSERID", pd.get("userId"));
//			List<PageData> rectifiHid = hiddenService.getCountByRectifiCationorId(pd); // 根据人员id获取整改隐患信息 state 1 5
//			for (int i = 0; i < rectifiHid.size(); i++) {
//				PageData rec = rectifiHid.get(i);
//				if (null == rec.get("STATE")) {
//					continue;
//				}
//				if (rec.get("STATE").equals("1") || rec.get("STATE").equals("-1")) {
//					dzg++;
//				}
//				if (rec.get("STATE").equals("-1")) {
//					ycq++;
//				}
//			}
//
//			List<PageData> checkorHid = hiddenService.getCountByCheckorId(pd); // 根据人员id获取整改隐患信息 state 1 5
//			for (int i = 0; i < checkorHid.size(); i++) {
//				PageData che = checkorHid.get(i);
//				if (null == che.get("STATE")) {
//					continue;
//				}
//				if (che.get("STATE").equals("3")) {
//					dys++;
//				}
//			}
//
//			List<PageData> creatorHid = hiddenService.getCountByCreatorId(pd); // 根据人员id获取发现隐患信息
//			for (int i = 0; i < creatorHid.size(); i++) {
//				PageData cre = creatorHid.get(i);
//				if (null == cre.get("STATE")) {
//					continue;
//				}
//				if (cre.get("STATE").equals("2")) {
//					dfc++;
//				}
//				if (cre.get("STATE").equals("4")) {
//					yys++;
//				}
////				if(cre.get("STATE").equals("3")) {
////					dys++;
////				}
////				if (cre.get("STATE").equals("-1")) {
////					ycq++;
////				}
//			}
//		}
//		hidCount.put("dys", dys);
//		hidCount.put("dzg", dzg);
//		hidCount.put("ycq", ycq);
//		hidCount.put("dfc", dfc);
//		hidCount.put("yys", yys);
//
//		// 待排查数量
//		PageData cpd = new PageData();
//		cpd = usersService.findById(pd);
//		pd.put("ISLEADER", cpd.getString("ISLEADER"));
//		PageData dept = new PageData();
//		dept.put("DEPARTMENT_ID",pd.getString("CHECK_DEPARTMENT_ID"));
//		dept =  departmentService.findById(dept);
//		pd.put("ISSUPERVISE",dept.getString("ISSUPERVISE"));
//		if(dept != null && dept.getString("ISSUPERVISE").equals("1")){
//			pd.put("SUP_DEPARTMENT_ID", dept.getString("DEPARTMENT_ID"));
//		}else{
//			pd.put("DEPARTMENT_ID", pd.getString("CHECK_DEPARTMENT_ID"));
//		}
//		if(cpd.getString("ISLEADER") != null && cpd.getString("ISLEADER").equals("1")){
//			String DEPARTMENT_ID = pd.getString("CHECK_DEPARTMENT_ID");
//			String ids = departmentService.getDEPARTMENT_IDS(DEPARTMENT_ID);
//			ids=pd.getString("CHECK_DEPARTMENT_ID")+","+ids;   //把自己部门插入进去
//			if(ids!=null && Tools.notEmpty(ids)&& ids.lastIndexOf(",")>-1) {
//				ids = ids.substring(0,ids.lastIndexOf(","));
//				pd.put("DEPARTMENT_IDS", ids.split(","));
//			}else {
//				pd.put("DEPARTMENT_IDS", DEPARTMENT_ID);
//			}
//		}
//		int wjcNum = 0;
//		int yjcNum = 0;
//		List<PageData> varList = listmanagerService.listAll(pd);// 列出ListManager列表
//		for (PageData list : varList) {
//			String cycle = list.getString("PERIODNAME");
//			if (list.getString("TYPE").equals("listType0005")) {
//				if (Integer.parseInt(list.get("checkCount").toString()) > 0) {
//					yjcNum++;
//				} else {
//					wjcNum++;
//				}
//				continue;
//			}
//			if (Integer.parseInt(list.get("checkCount").toString()) > 0) {
//				yjcNum++;
//			} else {
//				wjcNum++;
//			}
//		}
//		hidCount.put("dpc", wjcNum);
//		map.put("hidCount", hidCount);
//
//		map.put("page", page);
//		map.put("result", errInfo);
//		return map;
//	}
//
//	/**
//	 * 新增
//	 *
//	 * @param
//	 * @throws Exception
//	 */
//	@RequestMapping(value = "/add")
//	@ResponseBody
//	@LogAnno(menuType= "手机",menuServer= "隐患",instructionsOperate = "隐患",instructionsType = "新增")
//	public Object add() throws Exception {
//		Map<String, Object> map = new HashMap<String, Object>();
//		String errInfo = "success";
//		PageData pd = new PageData();
//		pd = this.getPageData();
//		pd.put("HIDDEN_ID", this.get32UUID()); // 主键
//		pd.put("CREATTIME", DateUtil.date2Str(new Date())); // 发现时间
//		pd.put("CREATTIME", DateUtil.date2Str(new Date())); // 发现时间
//		pd.put("ISDELETE", "0"); // 是否删除 1 删除 0未删除
//		pd.put("ISCONFIRM", "0"); //
//		if (pd.get("RECTIFICATIONTYPE") != null && Tools.notEmpty(pd.get("RECTIFICATIONTYPE").toString())) {
//			if ("1".equals(pd.get("RECTIFICATIONTYPE").toString())) {
//				pd.put("RECTIFICATIONTIME", DateUtil.getDay()); // 整改时间
//				pd.put("RECTIFICATIONOR", pd.get("CREATOR")); // 整改人
//				pd.put("RECTIFICATIONDEPT", pd.get("HIDDENFINDDEPT"));
////				pd.put("STATE", "4");
//			} else {
////				pd.put("STATE", "1");
//			}
//		}
//		if (pd.get("RISKITEM_ID") != null && Tools.notEmpty(pd.get("RISKITEM_ID").toString())) {
//			PageData item = new PageData();
//			item.put("LISTCHECKITEM_ID", pd.get("RISKITEM_ID"));
//			item = this.listcheckitemService.findById(item);
//			pd.put("RISK_UNIT", item.get("RISKUNITNAME"));
//			pd.put("IDENTIFICATION", item.get("PARTSNAME"));
//			pd.put("RISK_DESCR", item.get("RISK_DESCR"));
//			pd.put("RISK_POSITION", item.get("POSITIONNAME"));
//			pd.put("LEVEL", item.get("DNAME5"));
//		}
//		hiddenService.save(pd);
//		// 清除同检查记录合格图片
//		if(pd.get("CLEARIMG") != null && Tools.notEmpty(pd.get("CLEARIMG").toString()) && "1".equals(pd.get("CLEARIMG").toString())) {
//			imgFilesService.delete(pd);
//			PageData img = new PageData();
//			img.put("FOREIGN_KEY", pd.get("RECORDITEM_ID"));
//			img.put("TYPE", "14");
////			List<PageData> imgs = imgFilesService.listAll(img);	//根据ID读取
////			if(imgs != null && imgs.size() > 0) {
////				for(PageData i: imgs) {
////					File file = new File(PathUtil.getProjectpath()+i.getString("FILEPATH"));
////					file.delete();
////					imgFilesService.delete(i);
////				}
////			}
//
//		}
//		map.put("result", errInfo);
//		map.put("pd", pd);
//		return map;
//	}
//
//	/**
//	 * 新增
//	 *
//	 * @param
//	 * @throws Exception
//	 */
//	@RequestMapping(value = "/appAdd")
//	@ResponseBody
//	@LogAnno(menuType= "手机",menuServer= "隐患",instructionsOperate = "隐患",instructionsType = "新增")
//	public Object appAdd() throws Exception {
//		Map<String, Object> map = new HashMap<String, Object>();
//		String errInfo = "success";
//		PageData pd = new PageData();
//		pd = this.getPageData();
//		pd.put("HIDDEN_ID", this.get32UUID()); // 主键
////		pd.put("CREATOR", Jurisdiction.getUSER_ID());	//发现人
////		pd.put("HIDDENFINDDEPT", Jurisdiction.getDEPARTMENT_ID());
//		pd.put("CREATTIME", DateUtil.date2Str(new Date())); // 发现时间
//		pd.put("CREATTIME", DateUtil.date2Str(new Date())); // 发现时间
//		pd.put("ISDELETE", "0"); // 是否删除 1 删除 0未删除
////		pd.put("CORPINFO_ID", Jurisdiction.getCORPINFO_ID());	//企业id
//		if (pd.get("RECTIFICATIONTYPE") != null && Tools.notEmpty(pd.get("RECTIFICATIONTYPE").toString())) {
//			if ("1".equals(pd.get("RECTIFICATIONTYPE").toString())) {
//				pd.put("RECTIFICATIONTIME", DateUtil.getDay()); // 整改时间
//				pd.put("RECTIFICATIONOR", pd.get("CREATOR")); // 整改人
//				pd.put("RECTIFICATIONDEPT", pd.get("HIDDENFINDDEPT"));
//				pd.put("STATE", "4");
//			} else {
//				pd.put("STATE", "1");
//			}
//		}
//		if (pd.get("RISKITEM_ID") != null && Tools.notEmpty(pd.get("RISKITEM_ID").toString())) {
//			PageData item = new PageData();
//			item.put("LISTCHECKITEM_ID", pd.get("RISKITEM_ID"));
//			item = this.listcheckitemService.findById(item);
//			pd.put("RISK_UNIT", item.get("RISKUNITNAME"));
//			pd.put("IDENTIFICATION", item.get("PARTSNAME"));
//			pd.put("RISK_DESCR", item.get("RISK_DESCR"));
//			pd.put("RISK_POSITION", item.get("POSITIONNAME"));
//			pd.put("LEVEL", item.get("DNAME5"));
//		}
//		pd.put("ISCONFIRM", "0");
//		hiddenService.save(pd);
//
//		// 发短信
//		if ("2".equals(pd.get("RECTIFICATIONTYPE").toString())) {// 给整改人发送短信，暂时先用发验证码代替
//			PageData mes = new PageData();
//			mes.put("RECEIVER_ID", pd.get("RECTIFICATIONOR"));// 收信人userid
//			mes.put("templateCode", "SMS_215820677");// 短信模板编码
//			mes.put("CORPINFO_ID", pd.get("CORPINFO_ID"));// 企业id
//
//			// 参数集合
//			List<PageData> paramsList = new ArrayList<PageData>();
//			// 第1个参数
//			PageData params1 = new PageData();
//			params1.put("name", "time");// 存入短信模板中的参数名称
//			params1.put("value", pd.get("RECTIFICATIONDEADLINE"));// 存入上面参数名称所传递的值
//			paramsList.add(params1);
//
//			sendMessageUtil.sendMessages(mes, paramsList);
//		}
//
//		map.put("result", errInfo);
//		map.put("pd", pd);
//		return map;
//	}
//
//	public String getCode() {
//		String code = "";
//		Random random = new Random();
//		for (int i = 0; i < 6; i++) {
//
//			int r = random.nextInt(10); // 每次随机出一个数字（0-9）
//
//			code = code + r; // 把每次随机出的数字拼在一起
//
//		}
//		return code;
//	}
//
//	/**
//	 * 上传图片
//	 *
//	 * @param
//	 * @throws Exception
//	 */
//	@RequestMapping(value = "/uploadImg")
//	@ResponseBody
//	@LogAnno(menuType= "手机",menuServer= "隐患",instructionsOperate = "隐患",instructionsType = "上传图片")
//	public Object uploadImg(@RequestParam(value = "FFILE", required = false) MultipartFile file,
//			@RequestParam(value = "TYPE", required = false) String TYPE,
//			@RequestParam(value = "FOREIGN_KEY", required = false) String FOREIGN_KEY) throws Exception {
//		Map<String, Object> map = new HashMap<String, Object>();
//		String errInfo = "success";
//		PageData pd = new PageData();
//		pd = this.getPageData();
//		File tempFile = new File(file.getOriginalFilename());
//		FileUtils.copyInputStreamToFile(file.getInputStream(), tempFile);
//		if (!FileUpload.isImage(tempFile)) {
//			tempFile.delete();
//			map.put("result", "failed");
//			map.put("exception", "上传图片格式不正确，请重新上传");
//			return map;
//		}
//		if (tempFile.exists()) {
//			tempFile.delete();
//		}
//		String ffile = DateUtil.getDays();
////    		String filePath = PathUtil.getProjectpath() + Const.FILEPATHFILE + ffile;	//文件上传路径
////    		String fileName = FileUpload.fileUp(file, filePath, this.get32UUID());				//执行上传
//		String fileName = this.get32UUID()
//				+ file.getOriginalFilename().substring(file.getOriginalFilename().lastIndexOf("."));
//		smb.sshSftp(file, fileName, Const.FILEPATHFILE + ffile);
//		pd.put("IMGFILES_ID", this.get32UUID());
//		pd.put("FILEPATH", Const.FILEPATHFILE + ffile + "/" + fileName);
//		pd.put("TYPE", TYPE);
//		pd.put("FOREIGN_KEY", FOREIGN_KEY);
//		imgFilesService.save(pd);
//
//		return map;
//	}
//
//	 /**去修改页面获取数据
//	 * @param
//	 * @throws Exception
//	 */
//	@RequestMapping(value="/goEditWeui")
//	@ResponseBody
//	@LogAnno(menuType= "手机",menuServer= "隐患",instructionsOperate = "隐患",instructionsType = "去修改页面获取数据")
//	public Object goEditWeui() throws Exception{
//		Map<String,Object> map = new HashMap<String,Object>();
//		String errInfo = "success";
//		PageData pd = new PageData();
//		pd = this.getPageData();
//		pd = hiddenService.findById(pd);	//根据ID读取
//		PageData pd2 = new PageData();
//		pd2.put("FOREIGN_KEY", pd.getString("HIDDEN_ID"));
//		pd2.put("TYPE",3);
//		List<PageData> hImgs = imgFilesService.listAll(pd2);//隐患图片
//		pd2.put("TYPE",4);
//		List<PageData> rImgs = imgFilesService.listAll(pd2);//整改图片
//		/*pd2.put("TYPE",5);
//		List<PageData> cImgs = imgFilesService.listAll(pd2);//验收图片
//*/		//查询整改方案
//		PageData hs = hiddenSchemeService.findByHdId(pd);
//		List<PageData> sImgs = new ArrayList<PageData>();
//
//		if(hs != null && hs.getString("HIDDENSCHEME_ID") != null) {
//			PageData pd3 = new PageData();
//			pd3.put("FOREIGN_KEY", hs.getString("HIDDENSCHEME_ID"));
//			pd3.put("TYPE",8);
//			sImgs = imgFilesService.listAll(pd3);//方案图片
//		}
//
//		List<PageData> pImgs = new ArrayList<PageData>();
//		if("1".equals(pd.get("HAVEPLAN"))) {
//			PageData pd3 = new PageData();
//			pd3.put("FOREIGN_KEY", hs.getString("HIDDEN_ID"));
//			pd3.put("TYPE",22);
//			pImgs = imgFilesService.listAll(pd3);//方案图片
//		}
//
//		List<PageData> checkList = hiddenCheckService.listAll(pd);
//		if(checkList != null && checkList.size() > 0) {
//			PageData pd3 = new PageData();
//			pd3.put("TYPE",5);
//			for(PageData check: checkList) {
//				pd3.put("FOREIGN_KEY", check.get("HIDDENCHECK_ID"));
//				check.put("cImgs", imgFilesService.listAll(pd3));//验收图片
//			}
//		}
//		map.put("pd", pd);
//		map.put("hs", hs);
//		map.put("hImgs", hImgs);
//		map.put("rImgs", rImgs);
////		map.put("cImgs", cImgs);
//		map.put("sImgs", sImgs);
//		map.put("pImgs", pImgs);
//		map.put("checkList", checkList);
//
//		map.put("result", errInfo);
//		return map;
//	}
//
//	/**
//	 * 获取个人检查数据
//	 *
//	 * @param
//	 * @throws Exception
//	 */
//	@RequestMapping(value = "/getUserIndexData")
//	@ResponseBody
//	@LogAnno(menuType= "手机",menuServer= "首页",instructionsOperate = "首页",instructionsType = "获取个人检查数据")
//	public Object getUserIndexData() throws Exception {
//		Map<String, Object> map = new HashMap<String, Object>();
//		String errInfo = "success";
//		PageData pd = new PageData();
//		pd = this.getPageData();
//		map.put("pd", hiddenService.getUserIndexData(pd));
//		map.put("result", errInfo); // 返回结果
//		return map;
//	}
//
//	/**
//	 * 获取部门检查数据
//	 *
//	 * @param
//	 * @throws Exception
//	 */
//	@RequestMapping(value = "/getDeptIndexData")
//	@ResponseBody
//	@LogAnno(menuType= "手机",menuServer= "首页",instructionsOperate = "首页",instructionsType = "获取部门检查数据")
//	public Object getDeptIndexData() throws Exception {
//		Map<String, Object> map = new HashMap<String, Object>();
//		String errInfo = "success";
//		PageData pd = new PageData();
//		pd = this.getPageData();
//		map.put("pd", hiddenService.getDeptIndexData(pd));
//		map.put("result", errInfo); // 返回结果
//		return map;
//	}
//
//	/**
//	 * 获取监管部门检查数据
//	 *
//	 * @param
//	 * @throws Exception
//	 */
//	@RequestMapping(value = "/getSuperviseDeptIndexData")
//	@ResponseBody
//	@LogAnno(menuType= "手机",menuServer= "首页",instructionsOperate = "首页",instructionsType = "获取监管部门检查数据")
//	public Object getSuperviseDeptIndexData() throws Exception {
//		Map<String, Object> map = new HashMap<String, Object>();
//		String errInfo = "success";
//		PageData pd = new PageData();
//		pd = this.getPageData();
//		PageData od =  departmentService.findById(pd);
//		if(od != null){
//			if(od.getString("ISSUPERVISE").equals("1")){  //判断是否是监管部门
//				pd.put("SUP_DEPARTMENT_ID", od.getString("DEPARTMENT_ID"));
//				List<PageData> subdept =  departmentService.findBySubId(pd);  //查询监管哪些部门
//				ArrayList arr = new ArrayList();
//				for(int i=0;i<subdept.size();i++){
//					arr.add(subdept.get(i).getString("SUB_DEPARTMENT_ID"));
//				}
//				pd.put("SUB_DEPARTMENT_ID",arr);
//				map.put("pd", hiddenService.getSuperviseDeptIndexData(pd));
//			}
//		}
//		map.put("result", errInfo); // 返回结果
//		return map;
//	}
//
//
//	/**
//	 * 删除
//	 *
//	 * @param
//	 * @throws Exception
//	 */
//	@RequestMapping(value = "/delete")
//	@ResponseBody
//	@LogAnno(menuType= "手机",menuServer= "隐患",instructionsOperate = "隐患",instructionsType = "删除")
//	public Object delete() throws Exception {
//		Map<String, String> map = new HashMap<String, String>();
//		String errInfo = "success";
//		PageData pd = new PageData();
//		pd = this.getPageData();
//		hiddenService.delete(pd);
//		map.put("result", errInfo); // 返回结果
//		return map;
//	}
//
//	/**
//	 * 获取清单风险点
//	 *
//	 * @param
//	 * @throws Exception
//	 */
//	@RequestMapping(value = "/getOtherHidden")
//	@ResponseBody
//	@LogAnno(menuType= "手机",menuServer= "隐患",instructionsOperate = "隐患",instructionsType = "获取清单风险点")
//	public Object getOtherHidden() throws Exception {
//		Map<String, Object> map = new HashMap<String, Object>();
//		String errInfo = "success";
//		PageData pd = new PageData();
//		pd = this.getPageData();
//		String USER_ID = pd.getString("USER_ID");
//		pd = listmanagerService.findById(pd);
//		if (pd.getString("TYPE").equals("listType0005")) {
//			if (DateUtil.timeCalendar(new Date(), DateUtil.fomatDateTime(pd.getString("START_DATE") + " 00:00:00"),
//					DateUtil.fomatDateTime(pd.getString("END_DATE") + " 23:59:59"))) {
//				PageData type = new PageData();
//				type.put("LISTMANAGER_ID", pd.get("LISTMANAGER_ID"));
//				type.put("IS_XUN", 1);// 查询方法和旬一样,直接借用
//				type.put("STATE", "0");
//				type.put("USER_ID", USER_ID);
//				type.put("BEGINTIME", pd.getString("START_DATE") + " 00:00:00");
//				type.put("ENDTIME", pd.getString("END_DATE") + " 23:59:59");
//				List<PageData> hiddenList = hiddenService.getOtherHidden(type);
//				map.put("hiddenList", hiddenList);
//			}
//			map.put("result", errInfo);
//			return map;
//		}
//		String cycle = pd.getString("PERIODNAME");
//		PageData type = new PageData();
//		if (cycle.equals("每日")) {
//			type.put("LISTMANAGER_ID", pd.get("LISTMANAGER_ID"));
//			type.put("IS_DAY", 1);
//			type.put("STATE", "0");
//			type.put("USER_ID", USER_ID);
//		} else if (cycle.equals("每周")) {
//			type.put("LISTMANAGER_ID", pd.get("LISTMANAGER_ID"));
//			type.put("IS_WEEK", 1);
//			type.put("STATE", "0");
//			type.put("USER_ID", USER_ID);
//		} else if (cycle.equals("每旬")) {
//			// 1-10
//			if (DateUtil.timeCalendar(new Date(),
//					DateUtil.fomatDateTime(DateUtil.getYear() + "-" + DateUtil.getMonth() + "-" + "01 00:00:00"),
//					DateUtil.fomatDateTime(DateUtil.getYear() + "-" + DateUtil.getMonth() + "-" + "10 23:59:59"))) {
//				type.put("LISTMANAGER_ID", pd.get("LISTMANAGER_ID"));
//				type.put("IS_XUN", 1);
//				type.put("STATE", "0");
//				type.put("USER_ID", USER_ID);
//				type.put("BEGINTIME", DateUtil.getYear() + "-" + DateUtil.getMonth() + "-" + "01 00:00:00");
//				type.put("ENDTIME", DateUtil.getYear() + "-" + DateUtil.getMonth() + "-" + "10 23:59:59");
//			}
//			// 11-20
//			if (DateUtil.timeCalendar(new Date(),
//					DateUtil.fomatDateTime(DateUtil.getYear() + "-" + DateUtil.getMonth() + "-" + "11 00:00:00"),
//					DateUtil.fomatDateTime(DateUtil.getYear() + "-" + DateUtil.getMonth() + "-" + "20 23:59:59"))) {
//				type.put("LISTMANAGER_ID", pd.get("LISTMANAGER_ID"));
//				type.put("IS_XUN", 1);
//				type.put("STATE", "0");
//				type.put("USER_ID", USER_ID);
//				type.put("BEGINTIME", DateUtil.getYear() + "-" + DateUtil.getMonth() + "-" + "11 00:00:00");
//				type.put("ENDTIME", DateUtil.getYear() + "-" + DateUtil.getMonth() + "-" + "20 23:59:59");
//			}
//			// 21-月底
//			if (DateUtil.timeCalendar(new Date(),
//					DateUtil.fomatDateTime(DateUtil.getYear() + "-" + DateUtil.getMonth() + "-" + "21 00:00:00"),
//					DateUtil.fomatDateTime(DateUtil.getMonthEndDay() + " 23:59:59"))) {
//				type.put("LISTMANAGER_ID", pd.get("LISTMANAGER_ID"));
//				type.put("IS_XUN", 1);
//				type.put("STATE", "0");
//				type.put("USER_ID", USER_ID);
//				type.put("BEGINTIME", DateUtil.getYear() + "-" + DateUtil.getMonth() + "-" + "21 00:00:00");
//				type.put("ENDTIME", DateUtil.getMonthEndDay() + " 23:59:59");
//			}
//
//		} else if (cycle.equals("每月")) {
//			type.put("LISTMANAGER_ID", pd.get("LISTMANAGER_ID"));
//			type.put("IS_MONTH", 1);
//			type.put("STATE", "0");
//			type.put("USER_ID", USER_ID);
//		} else if (cycle.equals("每季")) {
//			type.put("LISTMANAGER_ID", pd.get("LISTMANAGER_ID"));
//			type.put("IS_QUARTER", 1);
//			type.put("STATE", "0");
//			type.put("USER_ID", USER_ID);
//		} else if (cycle.equals("半年")) {
//			type.put("LISTMANAGER_ID", pd.get("LISTMANAGER_ID"));
//			type.put("IS_HALFYEAR", 1);
//			type.put("STATE", "0");
//			type.put("USER_ID", USER_ID);
//		} else if (cycle.equals("每年")) {
//			type.put("LISTMANAGER_ID", pd.get("LISTMANAGER_ID"));
//			type.put("IS_YEAR", 1);
//			type.put("STATE", "0");
//			type.put("USER_ID", USER_ID);
//		}
//
//		List<PageData> hiddenList = hiddenService.getOtherHidden(type);
//		map.put("result", errInfo);
//		map.put("hiddenList", hiddenList);
//		return map;
//	}
//
//	/**
//	 * 修改
//	 *
//	 * @param
//	 * @throws Exception
//	 */
//	@RequestMapping(value = "/edit")
//	@ResponseBody
//	@LogAnno(menuType= "手机",menuServer= "隐患",instructionsOperate = "隐患",instructionsType = "修改")
//	public Object edit() throws Exception {
//		Map<String, Object> map = new HashMap<String, Object>();
//		String errInfo = "success";
//		PageData pd = new PageData();
//		pd = this.getPageData();
//		hiddenService.editInfo(pd);
//		map.put("pd", pd);
//		map.put("result", errInfo);
//		return map;
//	}
//
//
//
//	/**
//	 * 修改
//	 *
//	 * @param
//	 * @throws Exception
//	 */
//	@RequestMapping(value = "/editRec")
//	@ResponseBody
//	@LogAnno(menuType= "手机",menuServer= "隐患",instructionsOperate = "隐患",instructionsType = "修改")
//	public Object editRec() throws Exception {
//		Map<String, Object> map = new HashMap<String, Object>();
//		String errInfo = "success";
//		PageData pd = new PageData();
//		pd = this.getPageData();
//		hiddenService.edit(pd);
//
//		pd = hiddenService.findById(pd);
//		PageData corpinfo = new PageData();
//		corpinfo.put("CORPINFO_ID", pd.getString("CORPINFO_ID"));
//		corpinfo = corpinfoService.findById(pd);
//
//		PageData lpd = new PageData();
//		lpd.put("STATE", "OK");
//		lpd.put("CORPINFO_ID", pd.getString("CORPINFO_ID"));
//		int usedCount = msmloginService.msUsedCount(lpd);
//		PageData sms = new PageData();
//		sms.put("CORPINFO_ID", pd.getString("CORPINFO_ID"));
//		sms.put("ISENABLE", "1");
//		sms.put("SMSCODE", "SMS_215820677");
//		List<PageData> sList = smsmanagementService.listAll(sms);
//		if (corpinfo.getString("ISRECEIVE").equals("1")
//				&& Integer.parseInt(corpinfo.getString("SMS_COUNT")) - usedCount > 0 && sList.size() > 0) {
//			if (!"1".equals(pd.get("RECTIFICATIONTYPE").toString())) {
//
//				// 发短信
//				PageData mes = new PageData();
//				mes.put("RECEIVER_ID", pd.get("RECTIFICATIONOR"));// 收信人userid
//				mes.put("templateCode", "SMS_215820677");// 短信模板编码
//				mes.put("CORPINFO_ID", pd.get("CORPINFO_ID"));// 企业id
//
//				// 参数集合
//				List<PageData> paramsList = new ArrayList<PageData>();
//				// 第1个参数
//				PageData params1 = new PageData();
//				params1.put("name", "time");// 存入短信模板中的参数名称
//				params1.put("value", pd.get("RECTIFICATIONDEADLINE"));// 存入上面参数名称所传递的值
//				paramsList.add(params1);
//
//				sendMessageUtil.sendMessages(mes, paramsList);
//			}
//		}
//
//		map.put("pd", pd);
//		map.put("result", errInfo);
//		return map;
//	}
//
//	@RequestMapping(value = "/upFile")
//	@ResponseBody
//	public Object upFile(@RequestParam(value = "file", required = false) MultipartFile file) throws Exception {
//		Map<String, Object> map = new HashMap<String, Object>();
//		String errInfo = "success";
//		PageData pd = new PageData();
//		pd = this.getPageData();
//		if (null != file && !file.isEmpty()) {
//			PageData hs = hiddenSchemeService.findById(pd);
//			String ffile = DateUtil.getDays();
////			String filePath = PathUtil.getProjectpath() + Const.FILEPATHFILE + ffile;	//文件上传路径
////			String fileName = FileUpload.fileUp(file, filePath, this.get32UUID());				//执行上传
//			String fileName = this.get32UUID()
//					+ file.getOriginalFilename().substring(file.getOriginalFilename().lastIndexOf("."));
//			smb.sshSftp(file, fileName, Const.FILEPATHFILE + ffile);
//			pd.put("FILEPATH", Const.FILEPATHFILE + ffile + "/" + fileName);
//			hs.put("ISDELETE", "0");
//			hiddenSchemeService.edit(hs);
//		}
//
//		return map;
//	}
//
//	/**
//	 * 整改
//	 *
//	 * @param
//	 * @throws Exception
//	 */
//	@RequestMapping(value = "/rectify")
//	@ResponseBody
//	@Transactional
//	@LogAnno(menuType= "手机",menuServer= "隐患",instructionsOperate = "隐患",instructionsType = "整改")
//	public Object rectify() throws Exception {
//		Map<String, Object> map = new HashMap<String, Object>();
//		String errInfo = "success";
//		PageData pd = new PageData();
//		pd = this.getPageData();
//		PageData corpinfo = new PageData();
//		corpinfo.put("CORPINFO_ID", pd.getString("CORPINFO_ID"));
//		corpinfo = corpinfoService.findById(pd);
//		// 给发现人发送短信，提示其进行复查，暂时先用发验证码代替
////		PageData user = new PageData();
////		user.put("USER_ID", pd.get("CREATOR"));
////		user = usersService.findById(user);
////		if(user.get("USERNAME") != null && Tools.notEmpty(user.get("USERNAME").toString())) {
////			String phone=user.get("USERNAME").toString();
////			Map<String,Object> mes = new HashMap<String,Object>();
////			String code=getCode();
////			mes.put("phone", phone);
////			mes.put("code", code);
////			SendSmsResponse ssms= AliSmsUtil.sendSms(mes);
////			//System.out.println(ssms.getCode());
////			if(ssms.getCode().equals("OK")){
////				map.put("result", "success");
////				map.put("code",code);
////			}else{
////				map.put("result", "fail");
////				map.put("msg", "您的操作过去频繁，请稍后重试!");
////			}
////		}
//		hiddenService.rectify(pd);
//		this.hiddenCheckService.delete(pd);
//
//		if (pd.get("OTHER") != null && !pd.get("OTHER").equals("")) {
//			List<JSONObject> list = (List<JSONObject>) JSON.parse(pd.get("OTHER").toString());
//			for (JSONObject json : list) {
//				if (json != null && Tools.notEmpty(json.get("DEPARTMENT_ID").toString()) && Tools.notEmpty(json.get("USER_ID").toString())) {
//					PageData other = new PageData();
//					other.put("HIDDENCHECK_ID", this.get32UUID()); // 主键
//					other.put("HIDDEN_ID", pd.get("HIDDEN_ID"));
//					other.put("DEPARTMENT_ID", json.get("DEPARTMENT_ID"));
//					other.put("USER_ID", json.get("USER_ID"));
//					other.put("STATUS", "0");
//					hiddenCheckService.save(other);
//
//					// 发短信
//					PageData mes = new PageData();
//					mes.put("RECEIVER_ID", json.get("USER_ID"));// 收信人userid
//					mes.put("templateCode", "SMS_215800731");// 短信模板编码
//					mes.put("CORPINFO_ID", pd.get("CORPINFO_ID"));// 企业id
//
//					// 参数集合
//					List<PageData> paramsList = new ArrayList<PageData>();
//
//					sendMessageUtil.sendMessages(mes, paramsList);
//				}
//			}
//		}
//		hiddenSchemeService.deleteHd(pd);
//		pd.put("HIDDENSCHEME_ID", this.get32UUID()); // 主键
//		if (Tools.notEmpty(pd.get("HAVESCHEME").toString())) {
//			pd.put("CREATOR", pd.get("USER_ID")); //
//			pd.put("CREATTIME", DateUtil.date2Str(new Date())); //
//			pd.put("OPERATOR", pd.get("USER_ID")); //
//			pd.put("OPERATTIME", DateUtil.date2Str(new Date())); //
//			pd.put("ISDELETE", "0"); // 是否删除 1 删除 0未删除
//			pd.put("CORPINFO_ID", pd.get("CORPINFO_ID")); // 企业id
//			hiddenSchemeService.save(pd);
//
//		}
//
//		map.put("result", errInfo);
//		map.put("HIDDENSCHEME_ID", pd.get("HIDDENSCHEME_ID"));
//		return map;
//	}
//
//	/**
//	 * 复查
//	 *
//	 * @param
//	 * @throws Exception
//	 */
//	@RequestMapping(value = "/review")
//	@ResponseBody
//	@LogAnno(menuType= "手机",menuServer= "隐患",instructionsOperate = "隐患",instructionsType = "复查")
//	public Object review() throws Exception {
//		Map<String, Object> map = new HashMap<String, Object>();
//		String errInfo = "success";
//		PageData pd = new PageData();
//		pd = this.getPageData();
//		hiddenService.review(pd);
//		// 删除整改照片
//		if (pd.get("ISPASS") != null && Tools.notEmpty(pd.get("ISPASS").toString())) {
//			if ("0".equals(pd.get("ISPASS").toString())) {
//				PageData pic = new PageData();
////				List<PageData> picList = new ArrayList<PageData>();
////				pic.put("FOREIGN_KEY", pd.get("HIDDEN_ID"));
////				pic.put("TYPE", "4");
////				picList = imgFilesService.listAll(pic);
////				if (picList != null && picList.size() > 0) {
////					for (PageData deletePic : picList) {
////						File file = new File(PathUtil.getProjectpath() + deletePic.getString("FILEPATH"));
////						file.delete();
////					}
////				}
//				imgFilesService.deleteList(pic);
////				List<PageData> picsList = new ArrayList<PageData>();
////				pic.put("FOREIGN_KEY", pd.get("HIDDENSCHEME_ID"));
////				pic.put("TYPE", "8");
////				picsList = imgFilesService.listAll(pic);
////				if (picsList != null && picsList.size() > 0) {
////					for (PageData deletePic : picsList) {
////						File file = new File(PathUtil.getProjectpath() + deletePic.getString("FILEPATH"));
////						file.delete();
////					}
////				}
//				hiddenSchemeService.deleteHd(pd);
//				imgFilesService.deleteList(pic);
//
////				List<PageData> planPicList = new ArrayList<PageData>();
////				pic.put("FOREIGN_KEY", pd.get("HIDDEN_ID"));
////				pic.put("TYPE", "22");
////				planPicList = imgFilesService.listAll(pic);
////				if (planPicList != null && planPicList.size() > 0) {
////					for (PageData deletePic : planPicList) {
////						File file = new File(PathUtil.getProjectpath() + deletePic.getString("FILEPATH"));
////						file.delete();
////					}
////				}
//				imgFilesService.deleteList(pic);
//			}
//
//		}
//		map.put("result", errInfo);
//		return map;
//	}
//
//	/**
//	 * 验收
//	 *
//	 * @param
//	 * @throws Exception
//	 */
//	@RequestMapping(value = "/check")
//	@ResponseBody
//	@LogAnno(menuType= "手机",menuServer= "隐患",instructionsOperate = "隐患",instructionsType = "验收")
//	public Object check() throws Exception {
//		Map<String, Object> map = new HashMap<String, Object>();
//		String errInfo = "success";
//		PageData pd = new PageData();
//		pd = this.getPageData();
//		if (pd.get("ISQUALIFIED").equals("1")) {
//			PageData pd2 = this.hiddenCheckService.findByHidden(pd);
//			pd.put("STATUS", 1);
//			pd.put("HIDDENCHECK_ID", pd2.get("HIDDENCHECK_ID"));
//			pd.put("DEPARTMENT_ID", pd2.get("DEPARTMENT_ID"));
//			pd.put("USER_ID", pd2.get("USER_ID"));
//			hiddenCheckService.edit(pd);
//
//			List<PageData> checkList = hiddenCheckService.listAll(pd);
//			for (PageData check : checkList) {
//				if (check.get("STATUS").toString().equals("0")) {
//					map.put("result", errInfo);
//					map.put("check", pd);
//					return map;
//				}
//			}
//			hiddenService.check(pd);
//
//		} else {
//			PageData hidden = new PageData();
//			hidden.put("HIDDEN_ID", pd.get("HIDDEN_ID"));
//			hidden.put("STATE", 1);
//			hidden.put("BUHEGE", 1);
//
//			hiddenService.changeState(hidden);
//
//			hidden.put("FOREIGN_KEY",pd.get("HIDDEN_ID"));
//			hidden.put("TYPE",4);
//			List<PageData> zgimgs = imgFilesService.listAll(hidden);
//			hidden.put("TYPE",5);
//			List<PageData> ysimgs = imgFilesService.listAll(hidden);
//			hidden.put("TYPE",8);
//			List<PageData> fsimgs = imgFilesService.listAll(hidden);
//			hidden.put("TYPE",22);
//			List<PageData> jsimgs = imgFilesService.listAll(hidden);
//			List<PageData> imgs = new ArrayList<PageData>();
//			imgs.addAll(zgimgs);
//			imgs.addAll(ysimgs);
//			imgs.addAll(fsimgs);
//			imgs.addAll(jsimgs);
//			for (PageData img : imgs) {
//				smb.deleteFile(img.getString("FILEPATH"));
//				imgFilesService.delete(img);
//			}
//		}
//		map.put("check", pd);
//		map.put("result", errInfo);
//		return map;
//	}
//
//	/**
//	 * 列表
//	 *
//	 * @param
//	 * @throws Exception
//	 */
//	@RequestMapping(value = "/list")
//	@ResponseBody
//	@LogAnno(menuType= "手机",menuServer= "隐患",instructionsOperate = "隐患",instructionsType = "列表")
//	public Object list() throws Exception {
//		Map<String, Object> map = new HashMap<String, Object>();
//		String errInfo = "success";
//		PageData pd = new PageData();
//		Page page = new Page();
//		pd = this.getPageData();
//		page.setCurrentPage(Integer.parseInt(pd.get("currentPage").toString()));
//		page.setShowCount(Integer.parseInt(pd.get("showCount").toString()));
//		page.setTotalResult(Integer.parseInt(pd.get("totalResult").toString()));
////		String DEPARTMENT_ID = pd.getString("USERDEPT");
////		String ids = departmentService.getDEPARTMENT_IDS(DEPARTMENT_ID);
////		if(ids!=null && Tools.notEmpty(ids)) {
////			ids = ids.substring(0,ids.lastIndexOf(","));
////			pd.put("DEPARTMENT_IDS", ids.split(","));
////		}
//		String KEYWORDS = pd.getString("KEYWORDS"); // 关键词检索条件
//		if (Tools.notEmpty(KEYWORDS))
//			pd.put("KEYWORDS", KEYWORDS.trim());
//		String HIDDENDESCR = pd.getString("HIDDENDESCR"); // 关键词检索条件
//		if (Tools.notEmpty(HIDDENDESCR))
//			pd.put("HIDDENDESCR", HIDDENDESCR.trim());
//		String ISQUALIFIED = pd.getString("ISQUALIFIED"); // 关键词检索条件
//		if (Tools.notEmpty(ISQUALIFIED))
//			pd.put("ISQUALIFIED", ISQUALIFIED.trim());
//		String HIDDENLEVELE = pd.getString("HIDDENLEVELE"); // 关键词检索条件
//		if (Tools.notEmpty(HIDDENLEVELE))
//			pd.put("HIDDENLEVELE", HIDDENLEVELE.trim());
//		String STARTTIME = pd.getString("STARTTIME"); // 关键词检索条件
//		if (Tools.notEmpty(STARTTIME))
//			pd.put("STARTTIME", STARTTIME.trim());
//		String ENDTIME = pd.getString("ENDTIME"); // 关键词检索条件
//		if (Tools.notEmpty(ENDTIME))
//			pd.put("ENDTIME", ENDTIME.trim());
//		if (pd.get("isIndex") != null && Tools.notEmpty(pd.get("isIndex").toString())
//				&& pd.get("isIndex").toString().equals("1")) {
//			pd.put("SELF_USER_ID", pd.get("SELFUSERID"));
//		} else {
//			pd.put("isIndex", 0);
//		}
//		pd.put("ISMAIN", "0");
//		String DISPOSESTATE = pd.getString("DISPOSESTATE"); // 关键词检索条件
//		if (Tools.notEmpty(DISPOSESTATE)) {
//			pd.put("DISPOSESTATE", DISPOSESTATE.trim());
//			pd.put("SELFUSERID", pd.get("SELFUSERID"));
//			pd.put("USERDEPT", pd.get("USERDEPT"));
//		}
//		page.setPd(pd);
//		List<PageData> varList = hiddenService.list(page); // 列出Hidden列表
//		map.put("varList", varList);
//		map.put("page", page);
//		map.put("result", errInfo);
//		return map;
//	}
//
//	/**
//	 * 去修改页面获取数据
//	 *
//	 * @param
//	 * @throws Exception
//	 */
//	@RequestMapping(value = "/goEdit")
//	@ResponseBody
//	@LogAnno(menuType= "手机",menuServer= "隐患",instructionsOperate = "隐患",instructionsType = "去修改页面获取数据")
//	public Object goEdit() throws Exception {
//		Map<String, Object> map = new HashMap<String, Object>();
//		String errInfo = "success";
//		PageData pd = new PageData();
//		pd = this.getPageData();
//		pd = hiddenService.findById(pd); // 根据ID读取
//		PageData pd2 = new PageData();
//		pd2.put("FOREIGN_KEY", pd.getString("HIDDEN_ID"));
//		pd2.put("TYPE", 3);
//		List<PageData> hImgs = imgFilesService.listAll(pd2);// 隐患图片
//		pd2.put("TYPE", 4);
//		List<PageData> rImgs = imgFilesService.listAll(pd2);// 整改图片
//		/*
//		 * pd2.put("TYPE",5); List<PageData> cImgs = imgFilesService.listAll(pd2);//验收图片
//		 */ // 查询整改方案
//		PageData hs = hiddenSchemeService.findByHdId(pd);
//		List<PageData> sImgs = new ArrayList<PageData>();
//
//		if (hs != null && hs.getString("HIDDENSCHEME_ID") != null) {
//			PageData pd3 = new PageData();
//			pd3.put("FOREIGN_KEY", hs.getString("HIDDENSCHEME_ID"));
//			pd3.put("TYPE", 8);
//			sImgs = imgFilesService.listAll(pd3);// 方案图片
//		}
//
//		List<PageData> pImgs = new ArrayList<PageData>();
//		if("1".equals(pd.get("HAVEPLAN"))) {
//			PageData pd3 = new PageData();
//			pd3.put("FOREIGN_KEY", hs.getString("HIDDEN_ID"));
//			pd3.put("TYPE",22);
//			pImgs = imgFilesService.listAll(pd3);//方案图片
//		}
//
//		List<PageData> checkList = hiddenCheckService.listAll(pd);
//		if (checkList != null && checkList.size() > 0) {
//			PageData pd3 = new PageData();
//			pd3.put("TYPE", 5);
//			for (PageData check : checkList) {
//				pd3.put("FOREIGN_KEY", check.get("HIDDENCHECK_ID"));
//				check.put("cImgs", imgFilesService.listAll(pd3));// 验收图片
//			}
//		}
//		map.put("pd", pd);
//		map.put("hs", hs);
//		map.put("hImgs", hImgs);
//		map.put("rImgs", rImgs);
//		map.put("sImgs", sImgs);
//		map.put("pImgs", pImgs);
//		map.put("checkList", checkList);
//
//		map.put("result", errInfo);
//		return map;
//	}
//
//	/**
//	 * 首页统计
//	 *
//	 * @param
//	 * @throws Exception
//	 */
//	@RequestMapping(value = "/statistic")
//	@ResponseBody
//	@LogAnno(menuType= "手机",menuServer= "隐患",instructionsOperate = "隐患",instructionsType = "首页统计")
//	public Object statistic() throws Exception {
//		Map<String, Object> map = new HashMap<String, Object>();
//		String errInfo = "success";
//		PageData pd = new PageData();
//		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");// 设置日期格式
//		Date now = new Date();
//		String endDay = sdf.format(now);
//		Calendar calendar = Calendar.getInstance();
//		calendar.setTime(now);
//		calendar.add(Calendar.DATE, -15);
//		String startDay = sdf.format(calendar.getTime());
//		pd.put("START_DAY", startDay);
//		pd.put("END_DAY", endDay);
//		pd.put("CORPINFO_ID", Jurisdiction.getCORPINFO_ID());
//		pd.put("HIDDENLEVEL", "hiddenLevel0001");// 一般隐患
//		List<PageData> nhds = hiddenService.hiddenStatisticsByDay(pd);
//		System.out.println(nhds.toString());
//		pd.put("HIDDENLEVEL", "hiddenLevel0002");// 一般隐患
//		List<PageData> zhds = hiddenService.hiddenStatisticsByDay(pd);
//
//		List<PageData> hdAll = hiddenService.hiddenStatisticsAll(pd);
//		map.put("nhds", nhds);
//		map.put("zhds", zhds);
//		map.put("hdAll", hdAll);
//		map.put("result", errInfo);
//		return map;
//	}
//
//	/**
//	 * 首页统计
//	 *
//	 * @param
//	 * @throws Exception
//	 */
//	@RequestMapping(value = "/getIndexCount")
//	@ResponseBody
//	@LogAnno(menuType= "手机",menuServer= "隐患",instructionsOperate = "隐患",instructionsType = "首页统计")
//	public Object getIndexCount() throws Exception {
//		Map<String, Object> map = new HashMap<String, Object>();
//		String errInfo = "success";
//		PageData pd = new PageData();
//		pd = this.getPageData();
//		List<PageData> varList = hiddenService.getBICount(pd);
//		if (varList != null && varList.size() > 0) {
//			map.put("total", varList.size());
//			int checked = 0;
//			int uncheck = 0;
//			for (PageData hidden : varList) {
//				if (hidden.get("STATE").toString().equals("4")) {
//					checked++;
//				} else {
//					uncheck++;
//				}
//
//			}
//			map.put("checked", checked);
//			map.put("uncheck", uncheck);
//		} else {
//			map.put("total", 0);
//			map.put("checked", 0);
//			map.put("uncheck", 0);
//		}
//
//		map.put("result", errInfo);
//		return map;
//	}
//	/**
//	 * 获取检查记录风险点
//	 *
//	 * @param
//	 * @throws Exception
//	 */
//	@RequestMapping(value = "/getChcenkHidden")
//	@ResponseBody
//	@LogAnno(menuType= "手机",menuServer= "隐患",instructionsOperate = "隐患",instructionsType = "获取检查记录风险点")
//	public Object getChcenkHidden() throws Exception {
//		Map<String, Object> map = new HashMap<String, Object>();
//		String errInfo = "success";
//		PageData pd = new PageData();
//		pd = this.getPageData();
//		List<PageData> hiddenList = hiddenService.getOtherHidden(pd);
//		map.put("result", errInfo);
//		map.put("hiddenList", hiddenList);
//		return map;
//	}
//
//	/**
//	 * 获取检查记录风险点
//	 *
//	 * @param
//	 * @throws Exception
//	 */
//	@RequestMapping(value = "/getHiddenByCorp")
//	@ResponseBody
//	@LogAnno(menuType= "手机",menuServer= "隐患",instructionsOperate = "隐患",instructionsType = "获取检查记录风险点")
//	public Object getHiddenByCorp() throws Exception {
//		Map<String, Object> map = new HashMap<String, Object>();
//		String errInfo = "success";
//		PageData pd = new PageData();
//		pd = this.getPageData();
//		List<PageData> hiddenList = hiddenService.listAllRoll(pd);
//		map.put("result", errInfo);
//		map.put("hiddenList", hiddenList);
//		return map;
//	}
//}
