package com.zcloud.mapper.datasource.check;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：清单-检查项关联
 * 作者：luoxiaobao
 * 时间：2020-12-31
 * 官网：www.zcloudchina.com
 */
public interface ListCheckItemMapper{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	List<PageData> listByriskpointid(PageData pd);


	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**获取隐患数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findHidden(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteList(PageData pd);

	/**全部风险点
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAllRisk(PageData pd);

    List<PageData> listForDocking(PageData pd);
	void updateDocking(PageData pageData);

    List<PageData> findByRiskPointIds(String[] ids);

	List<PageData> findByRiskPointId(PageData riskPoint);
}

