package com.zcloud.service.check.impl;

import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.check.SysDateMapper;
import com.zcloud.service.check.SysDateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：系统日期
 * 作者：luoxiaobao
 * 时间：2021-05-07
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class SysDateServiceImpl implements SysDateService {

	@Autowired
	private SysDateMapper sysdateMapper;


	/**节假日
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAllByJjr(PageData pd)throws Exception{
		return sysdateMapper.listAllByJjr(pd);
	}
	/**通过Date获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findByDate(PageData pd)throws Exception{
		return sysdateMapper.findByDate(pd);
	}

}

