package com.zcloud.service.dockingManagement;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/** 
 * 说明：通知模板
 * 作者：luoxiaobao
 * 时间：2022-05-24
 * 官网：www.zcloudchina.com
 */
public interface SpecialInspectionService {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception;
	
	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception;

	public List<PageData> CorplistAll(PageData pd)throws Exception;

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;
	
	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception;
	
	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception;
	
	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;

	public PageData findByCorpId(String CORPINFO_ID)throws Exception;

	
	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception;

	public String getcorpCodeById(PageData pd)throws Exception;

	public String getcorpIdByCode(PageData pd)throws Exception;
}

